org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions

## Class SyncmlOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions.SyncmlOperationException

- All Implemented Interfaces:
    Serializable

      public class SyncmlOperationException
      extends Exception

  Exception class for syncml Operation and policy related errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncmlOperationException()`
    `SyncmlOperationException(String message)`
    `SyncmlOperationException(String message, Exception nestedEx)`
    `SyncmlOperationException(String message, Throwable cause)`
    `SyncmlOperationException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMessage()`
    `void` | `setErrorMessage(String errorMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncmlOperationException

          public SyncmlOperationException(String message)

    - #### SyncmlOperationException

          public SyncmlOperationException(String message,
                                  Throwable cause)

    - #### SyncmlOperationException

          public SyncmlOperationException(String message,
                                  Exception nestedEx)

    - #### SyncmlOperationException

          public SyncmlOperationException(Throwable cause)

    - #### SyncmlOperationException

          public SyncmlOperationException()

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

Copyright © 2017 WSO2. All rights reserved.